﻿using System.Windows;
using System.Windows.Controls;
using System.Windows.Media;

namespace Effects2D.Brushes
{
    /// <summary>
    /// Interaction logic for EffectImageBrushRastr.xaml
    /// </summary>
    public partial class EffectImageBrushRaster : UserControl
    {
        public EffectImageBrushRaster()
        {
            InitializeComponent();

            cbxMode.Items.Add("None");
            cbxMode.Items.Add("FlipX");
            cbxMode.Items.Add("FlipY");
            cbxMode.Items.Add("FlipXY");
            cbxMode.Items.Add("Tile");
            cbxMode.SelectedValue = "Tile";
        }

        /// <summary>
        /// Setting up Viewport
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void ViewportX(object sender, RoutedPropertyChangedEventArgs<double> e)
        {
            if (sdrViewportX != null && sdrViewportY != null)
            {
                imgFill.Viewport = new Rect(new Point(0, 0), new Point(sdrViewportX.Value, sdrViewportY.Value));
            }
        }

        /// <summary>
        /// Setting up Viewport
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void ViewportY(object sender, RoutedPropertyChangedEventArgs<double> e)
        {
            if (sdrViewportX != null && sdrViewportY != null)
            {
                imgFill.Viewport = new Rect(new Point(0, 0), new Point(sdrViewportX.Value, sdrViewportY.Value));
            }
        }

        /// <summary>
        /// Setting up the TileMode property
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void ModeChange(object sender, SelectionChangedEventArgs e)
        {
            if (cbxMode != null)
            {
                string selected = cbxMode.SelectedItem.ToString();
                switch (selected)
                {
                    case "None":
                        imgFill.TileMode = TileMode.None;
                        break;
                    case "FlipX":
                        imgFill.TileMode = TileMode.FlipX;
                        break;
                    case "FlipY":
                        imgFill.TileMode = TileMode.FlipY;
                        break;
                    case "FlipXY":
                        imgFill.TileMode = TileMode.FlipXY;
                        break;
                    case "Tile":
                        imgFill.TileMode = TileMode.Tile;
                        break;
                    default:
                        break;
                }
            }
        }
    }
}
