﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace Effects2D.Brushes
{
    /// <summary>
    /// Interaction logic for EffectMaskPicture.xaml
    /// </summary>
    public partial class EffectMaskPicture : UserControl
    {
        public EffectMaskPicture()
        {
            InitializeComponent();

            cbxMask.Items.Add("mask 1");
            cbxMask.Items.Add("mask 2");
            cbxMask.Items.Add("mask 3");
            cbxMask.Items.Add("mask 4");
            cbxMask.Items.Add("mask 5");
            cbxMask.SelectedValue = "mask 3";
        }

        /// <summary>
        /// Setting up selected mask
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void MaskChange(object sender, SelectionChangedEventArgs e)
        {
            if (cbxMask != null)
            {
                string selected = cbxMask.SelectedItem.ToString();
                switch (selected)
                {
                    case "mask 1":
                        bdrFrame.Background = System.Windows.Media.Brushes.Transparent;
                        imgMask.ImageSource = new BitmapImage(new Uri("pack://application:,,,/Effects2D;component/Masks/mask1.gif"));
                        imgPreview.ImageSource = new BitmapImage(new Uri("pack://application:,,,/Effects2D;component/Masks/mask1.gif"));
                        break;
                    case "mask 2":
                        bdrFrame.Background = System.Windows.Media.Brushes.Transparent;
                        imgMask.ImageSource = new BitmapImage(new Uri("pack://application:,,,/Effects2D;component/Masks/mask2.gif"));
                        imgPreview.ImageSource = new BitmapImage(new Uri("pack://application:,,,/Effects2D;component/Masks/mask2.gif"));
                        break;
                    case "mask 3":
                        bdrFrame.Background = System.Windows.Media.Brushes.Transparent;
                        imgMask.ImageSource = new BitmapImage(new Uri("pack://application:,,,/Effects2D;component/Masks/mask3.gif"));
                        imgPreview.ImageSource = new BitmapImage(new Uri("pack://application:,,,/Effects2D;component/Masks/mask3.gif"));
                        break;
                    case "mask 4":
                        bdrFrame.Background = System.Windows.Media.Brushes.Black;
                        imgMask.ImageSource = new BitmapImage(new Uri("pack://application:,,,/Effects2D;component/Masks/mask4.gif"));
                        imgPreview.ImageSource = new BitmapImage(new Uri("pack://application:,,,/Effects2D;component/Masks/mask4.gif"));
                        break;
                    case "mask 5":
                        bdrFrame.Background = System.Windows.Media.Brushes.Black;
                        imgMask.ImageSource = new BitmapImage(new Uri("pack://application:,,,/Effects2D;component/Masks/mask5.gif"));
                        imgPreview.ImageSource = new BitmapImage(new Uri("pack://application:,,,/Effects2D;component/Masks/mask5.gif"));
                        break;
                    default:
                        break;
                }
            }
        }
    }
}
