﻿using System.Windows;
using System.Windows.Controls;
using System.Windows.Media;

namespace Effects2D.Brushes
{
    /// <summary>
    /// Interaction logic for EffectRadialGradientBrush.xaml
    /// </summary>
    public partial class EffectRadialGradientBrush : UserControl
    {
        public EffectRadialGradientBrush()
        {
            InitializeComponent();

            cbxSpread.Items.Add("Pad");
            cbxSpread.Items.Add("Reflect");
            cbxSpread.Items.Add("Repeat");
            cbxSpread.SelectedValue = "Pad";
        }

        /// <summary>
        /// Setting up the GradientOrigin property
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void SetupGOx(object sender, RoutedPropertyChangedEventArgs<double> e)
        {
            radial.GradientOrigin = new Point(sdrGOx.Value, radial.GradientOrigin.Y);
        }

        /// <summary>
        /// Setting up the GradientOrigin property
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void SetupGOy(object sender, RoutedPropertyChangedEventArgs<double> e)
        {
            radial.GradientOrigin = new Point(radial.GradientOrigin.X, sdrGOy.Value);
        }

        /// <summary>
        /// Setting up the Center property
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void SetupCenterX(object sender, RoutedPropertyChangedEventArgs<double> e)
        {
            radial.Center = new Point(sdrCenterX.Value, radial.Center.Y);
        }

        /// <summary>
        /// Setting up the Center property
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void SetupCenterY(object sender, RoutedPropertyChangedEventArgs<double> e)
        {
            radial.Center = new Point(radial.Center.X, sdrCenterY.Value);
        }

        /// <summary>
        /// Setting up the SpreadMethod property
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void SpreadChange(object sender, SelectionChangedEventArgs e)
        {
            if (cbxSpread != null)
            {
                string selected = cbxSpread.SelectedItem.ToString();
                switch (selected)
                {
                    case "Pad":
                        radial.SpreadMethod = GradientSpreadMethod.Pad;
                        break;
                    case "Reflect":
                        radial.SpreadMethod = GradientSpreadMethod.Reflect;
                        break;
                    case "Repeat":
                        radial.SpreadMethod = GradientSpreadMethod.Repeat;
                        break;
                    default:
                        break;
                }
            }
        }
    }
}
